%define	name	perl-%{module}
%define	module	MP3-Icecast
%define	version	0.02
%define	release	%mkrel 7

Summary:	MP3::Icecast - Generate Icecast streams
Name: 		%{name}
Version: 	%{version}
Release:	%{release} 
License: 	GPL
Group: 		Development/Perl
Url:		http://search.cpan.org/dist/%{module}
Source:		http://search.cpan.org/CPAN/authors/id/A/AL/ALLENDAY/%{module}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
%if %{mdkversion} < 1010
Buildrequires:perl-devel
%endif
BuildRequires:  perl-MP3-Info
BuildRequires:  perl-URI
BuildArch:	noarch

Provides:      perl-mp3-icecast
Obsoletes:     perl-mp3-icecast

%description
MP3::Icecast - Generate Icecast streams, as well as M3U and PLSv2 playlists.

%prep
%setup -q -n %{module}-%{version}

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%{perl_vendorlib}/MP3
%_mandir/man3/*

%changelog
* Thu Oct 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.02-7mdk
- Fix File section to own the directory

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.02-6mdk
- Rebuild

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.02-5mdk
- Use good name

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.02-4mdk
- Fix url

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.02-3mdk
- Fix BuildRequires
- %%mkrel 

* Sun Feb 06 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.02-2mdk
- rebuild for new perl

* Mon Apr 19 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.02-1mdk
- initial spec
